TableCell (gCube Document Reporting Library 3.0.4-SNAPSHOT API)
Date: 2013-02-26

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.d4sreporting.common.shared
Class TableCell

    java.lang.Object
      org.gcube.portlets.d4sreporting.common.shared.TableCell

All Implemented Interfaces:
  Serializable

    public class TableCell

extends Object
implements Serializable

Author:
  massi
See Also:
  Serialized Form

Constructor Summary
`TableCell()`
`TableCell(String content)`
`TableCell(String content, int colspan, int width, int height)`

Method Summary
`int` | `getCellHeight()`
`int` | `getCellWidth()`
`int` | `getColspan()`
`String` | `getContent()`
`void` | `setCellHeight(int cellHeight)`
`void` | `setCellWidth(int cellWidth)`
`void` | `setColspan(int colspan)`
`void` | `setContent(String content)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableCell

    public TableCell()

### TableCell

    public TableCell(String content,
                     int colspan,
                     int width,
                     int height)

Parameters:
  `content` -
  `colspan` -
  `width` -
  `height` -

### TableCell

    public TableCell(String content)

Parameters:
  `content` -

Method Detail

### getContent

    public String getContent()

  Returns:
    .

### setContent

    public void setContent(String content)

  Parameters:
    `content` - .

### getColspan

    public int getColspan()

  Returns:
    .

### setColspan

    public void setColspan(int colspan)

  Parameters:
    `colspan` - .

### getCellWidth

    public int getCellWidth()

### setCellWidth

    public void setCellWidth(int cellWidth)

### getCellHeight

    public int getCellHeight()

### setCellHeight

    public void setCellHeight(int cellHeight)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.